# School Fees Insurance

The following endpoints will allow a merchant to subscribe their customer to the School Fees insurance plan as well as request claims.

## List All School Fees **P**roducts

## This endpoint returns a list of all the school fees insurance products

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/school_fee_get_products`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "response_message": "School fees product get successful",
    "response_code": "",
    "data": [
        {
            "id": 21,
            "name": "School fees (BRONZE)",
            "details": "School fees (BRONZE)",
            "beneficiaries": true,
            "max_beneficiaries": 1,
            "provider_id": 2,
            "logo_url": "logo.png",
            "enable": true,
            "created_at": "2022-04-06T14:01:52.000000Z",
            "updated_at": "2022-09-27T02:42:40.000000Z",
            "service_id": 2,
            "product_class_id": 0,
            "price_config": []
        },
        {
            "id": 22,
            "name": "School fees (SILVER)",
            "details": "School fees (SILVER)",
            "beneficiaries": true,
            "max_beneficiaries": 1,
            "provider_id": 2,
            "logo_url": "logo.png",
            "enable": true,
            "created_at": "2022-04-06T14:01:52.000000Z",
            "updated_at": "2022-09-27T01:04:56.000000Z",
            "service_id": 2,
            "product_class_id": 0,
            "price_config": [
                {
                    "id": 24,
                    "product_id": 22,
                    "no_of_users": 1,
                    "provider_price": "0.00",
                    "coverdor_commission": "400.00",
                    "total_price": "4000.00",
                    "product_code": "parcel_quard",
                    "product_short_code": "PARCEL_QUARD",
                    "created_at": "2022-04-06T14:01:52.000000Z",
                    "updated_at": "2022-09-27T10:08:01.000000Z",
                    "system_commission": "400.00",
                    "amount_insured": "4000000.00",
                    "commission_type": "fixed",
                    "min_price": "0.00",
                    "max_price": "0.00"
                },
                {
                    "id": 42,
                    "product_id": 22,
                    "no_of_users": 1,
                    "provider_price": "0.00",
                    "coverdor_commission": "400.00",
                    "total_price": "4000.00",
                    "product_code": "parcel_quard",
                    "product_short_code": "PARCEL_QUARD",
                    "created_at": "2022-04-06T14:01:52.000000Z",
                    "updated_at": "2022-04-06T14:01:52.000000Z",
                    "system_commission": "400.00",
                    "amount_insured": "4000000.00",
                    "commission_type": "fixed",
                    "min_price": "0.00",
                    "max_price": "0.00"
                }
            ]
        },
        {
            "id": 23,
            "name": "School fees (GOLD)",
            "details": "School fees (GOLD)",
            "beneficiaries": true,
            "max_beneficiaries": 1,
            "provider_id": 2,
            "logo_url": "logo.png",
            "enable": true,
            "created_at": "2022-04-06T14:01:52.000000Z",
            "updated_at": "2022-09-27T10:09:57.000000Z",
            "service_id": 2,
            "product_class_id": 0,
            "price_config": [
                {
                    "id": 43,
                    "product_id": 23,
                    "no_of_users": 1,
                    "provider_price": "0.00",
                    "coverdor_commission": "400.00",
                    "total_price": "5000.00",
                    "product_code": "parcel_quard",
                    "product_short_code": "PARCEL_QUARD",
                    "created_at": "2022-04-06T14:01:52.000000Z",
                    "updated_at": "2022-04-06T14:01:52.000000Z",
                    "system_commission": "400.00",
                    "amount_insured": "5000000.00",
                    "commission_type": "fixed",
                    "min_price": "0.00",
                    "max_price": "0.00"
                }
            ]
        },
        {
            "id": 24,
            "name": "School fees (DIAMOND)",
            "details": "School fees (DIAMOND)",
            "beneficiaries": true,
            "max_beneficiaries": 1,
            "provider_id": 2,
            "logo_url": "logo.png",
            "enable": true,
            "created_at": "2022-04-06T14:01:52.000000Z",
            "updated_at": "2022-04-06T14:01:52.000000Z",
            "service_id": 2,
            "product_class_id": 0,
            "price_config": [
                {
                    "id": 44,
                    "product_id": 24,
                    "no_of_users": 1,
                    "provider_price": "0.00",
                    "coverdor_commission": "400.00",
                    "total_price": "7000.00",
                    "product_code": "parcel_quard",
                    "product_short_code": "PARCEL_QUARD",
                    "created_at": "2022-04-06T14:01:52.000000Z",
                    "updated_at": "2022-04-06T14:01:52.000000Z",
                    "system_commission": "400.00",
                    "amount_insured": "7000000.00",
                    "commission_type": "fixed",
                    "min_price": "0.00",
                    "max_price": "0.00"
                }
            ]
        },
        {
            "id": 25,
            "name": "School fees (PLATINIUM)",
            "details": "School fees (PLATINIUM)",
            "beneficiaries": true,
            "max_beneficiaries": 1,
            "provider_id": 2,
            "logo_url": "logo.png",
            "enable": true,
            "created_at": "2022-04-06T14:01:52.000000Z",
            "updated_at": "2022-04-06T14:01:52.000000Z",
            "service_id": 2,
            "product_class_id": 0,
            "price_config": [
                {
                    "id": 45,
                    "product_id": 25,
                    "no_of_users": 1,
                    "provider_price": "0.00",
                    "coverdor_commission": "400.00",
                    "total_price": "10000.00",
                    "product_code": "parcel_quard",
                    "product_short_code": "PARCEL_QUARD",
                    "created_at": "2022-04-06T14:01:52.000000Z",
                    "updated_at": "2022-04-06T14:01:52.000000Z",
                    "system_commission": "400.00",
                    "amount_insured": "10000000.00",
                    "commission_type": "fixed",
                    "min_price": "0.00",
                    "max_price": "0.00"
                }
            ]
        },
        {
            "id": 34,
            "name": "sample product",
            "details": "<p>product details</p>",
            "beneficiaries": true,
            "max_beneficiaries": 4,
            "provider_id": 2,
            "logo_url": "https://www.logo.png",
            "enable": true,
            "created_at": "2022-08-25T15:22:16.000000Z",
            "updated_at": "2022-09-27T14:19:46.000000Z",
            "service_id": 2,
            "product_class_id": 0,
            "price_config": []
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/school_fee_get_products',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = '';

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/school_fee_get_products',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}'
  },
  data: data
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/school_fee_get_products' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}

&#x20;&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/insurpass-api-reference/school-fees-insurance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
